=== VTKExtensions/IOCGNS/CMakeLists.txt ===
set(classes
  vtkCGNSWriter)

vtk_module_add_module(ParaView::VTKExtensionsIOCGNSWriter
  CLASSES ${classes})
